MetaSoul

Loading...
Searching...
No Matches
Classes | Functions
ESIOClientComponent.h File Reference
`#include "ESMessageConvert.h"`
`#include "Components/ActorComponent.h"`
`#include "EmoShapeSubSystem/EmoShapeIOClient/Public/ESIONative.h"`
`#include "Runtime/Engine/Classes/Engine/LatentActionManager.h"`
`#include "ESIOClientComponent.generated.h"`

Go to the source code of this file.

## Classes
class | UESIOClientComponent

## Functions
| DECLARE_DYNAMIC_MULTICAST_DELEGATE (FEmoShapeEventSignature)
| DECLARE_DYNAMIC_MULTICAST_DELEGATE_OneParam (FEmoShapeSocketEventSignature, FString, Namespace)
| DECLARE_DYNAMIC_MULTICAST_DELEGATE_TwoParams (FEmoShapeOpenEventSignature, FString, SessionId, bool, bIsReconnection)
| DECLARE_DYNAMIC_MULTICAST_DELEGATE_OneParam (FEmoShapeCloseEventSignature, TEnumAsByte< EEmoShapeIOConnectionCloseReason >, Reason)
| DECLARE_DYNAMIC_MULTICAST_DELEGATE_TwoParams (FEmoShapeEventJsonSignature, FString, EventName, class UESJsonValue *, EventData)
| DECLARE_DYNAMIC_MULTICAST_DELEGATE_ThreeParams (FEmoShapeConnectionProblemSignature, int32, Attempts, int32, NextAttemptInMs, float, TimeSinceConnected)
| DECLARE_DYNAMIC_DELEGATE_OneParam (FEmoShapeJsonValueSignature, UESJsonValue *, EventData)

## Function Documentation

## ◆ DECLARE_DYNAMIC_DELEGATE_OneParam()

DECLARE_DYNAMIC_DELEGATE_OneParam | ( | FEmoShapeJsonValueSignature | ,
|  | UESJsonValue * | ,
|  | EventData | )

## ◆ DECLARE_DYNAMIC_MULTICAST_DELEGATE()

DECLARE_DYNAMIC_MULTICAST_DELEGATE | ( | FEmoShapeEventSignature |  | ) |

## ◆ DECLARE_DYNAMIC_MULTICAST_DELEGATE_OneParam() [1/2]

DECLARE_DYNAMIC_MULTICAST_DELEGATE_OneParam | ( | FEmoShapeCloseEventSignature | ,
|  | TEnumAsByte< EEmoShapeIOConnectionCloseReason > | ,
|  | Reason | )

## ◆ DECLARE_DYNAMIC_MULTICAST_DELEGATE_OneParam() [2/2]

DECLARE_DYNAMIC_MULTICAST_DELEGATE_OneParam | ( | FEmoShapeSocketEventSignature | ,
|  | FString | ,
|  | Namespace | )

## ◆ DECLARE_DYNAMIC_MULTICAST_DELEGATE_ThreeParams()

DECLARE_DYNAMIC_MULTICAST_DELEGATE_ThreeParams | ( | FEmoShapeConnectionProblemSignature | ,
|  | int32 | ,
|  | Attempts | ,
|  | int32 | ,
|  | NextAttemptInMs | ,
|  | float | ,
|  | TimeSinceConnected | )

## ◆ DECLARE_DYNAMIC_MULTICAST_DELEGATE_TwoParams() [1/2]

DECLARE_DYNAMIC_MULTICAST_DELEGATE_TwoParams | ( | FEmoShapeEventJsonSignature | ,
|  | FString | ,
|  | EventName | ,
|  | class UESJsonValue * | ,
|  | EventData | )

## ◆ DECLARE_DYNAMIC_MULTICAST_DELEGATE_TwoParams() [2/2]

DECLARE_DYNAMIC_MULTICAST_DELEGATE_TwoParams | ( | FEmoShapeOpenEventSignature | ,
|  | FString | ,
|  | SessionId | ,
|  | bool | ,
|  | bIsReconnection | )